<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        ul{
            list-style-type: none;
        }
    </style>
</head>
<body>
  <ul class="menu">
      <li><a href="home">Домой</a></li>
      <li><a href="home">Статьи</a></li>
      <li><a href="home">Магазин</a></li>
      <li><a href="home">Кабинет</a></li>
  </ul>
   <header>
   <h1>Костыльно-Ориентированное Программирование</h1>
   </header>
   <nav>
   <ol>
       <li> Костылирование</li>
       <li>Инкостыляция</li>
       <li>Поликостылизм</li>
   </ol>
   </nav>
   <article>
   <h2>Костылирование</h2>
   <p>Создание костылей, позволяющее описать новый костыль на основе уже
     существующего частично или полностью заимствующимися ошибками. Костыль, от
     которого производится наследование, называется базовым, родительским или 
     суперкостылем. Новый костыль - потмком, наследником или производным.</p>
     <h3>Инкостыляция</h3>
     <p>
         Свойство костылей, позволяющее обьединить фиксы и заплатки, работающие с ними в 
         классе, и скрыть детали реализации от понимания.
     </p>
     <h4>Поликостылизм</h4>
     <p>Свойство разработчиков использовать костыли с одинаковым интерфейсом без
         информации о типе и внуиренней структуре костылей.
     </p>
</article>
<footer>
     <p>© 2020. Сделано руками хороших людей:)</p>
</footer>
</body>
</html>